default or selected kernelversion does not have config value CONFIG_DLM_DEPRECATED_API.
Result is shown for kernelversion 6.8.5

DLM deprecated API

configname: CONFIG_DLM_DEPRECATED_API

Linux Kernel Configuration
└─>File systems
└─>Distributed Lock Manager (DLM)
└─>DLM deprecated API
In linux kernel since version 6 (release Date: 2022-10-02)  
Enables deprecated DLM timeout features that will be removed in
later Linux kernel releases.

If you are unsure, say N.

depends
CONFIG_DLM